;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"cha="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;
;
;  ↓ここから本番です
;
*M サッカー
*Y20
*T20
*S3
;
*y001 water=2.black=6.water=12
*y002 water=1.black=2.3.water=1.cha=2.water=8
*y003 water=1.black=1.2.3.cha=7.water=4
*y004 water=1.black=1.2.1.cha=8.water=3
*y005 water=1.black=1.1.1.cha=7.water=4
*y006 water=1.black=3.3.cha=2.hada=1.cha=5.water=3
*y007 black=3.3.cha=1.hada=2.cha=5
*y008 black=6.hada=5.cha=1.black=2.cha=1
*y009 black=2.hada=2.black=1.hada=1.cha=1.hada=1.black=1
*y010 black=1.hada=7.black=5
*y011 black=8.hada=1.red=2.hada=2.black=2.blue=2.black=1.hada=1
*y012 black=1.hada=5.black=1.blue=1.black=2.hada=3.black=2.blue=3.black=2
*y013 black=1.hada=2.black=4.blue=2.black=5.blue=1.black=1.blue=2.black=1
*y014 black=3.1.blue=1.black=1.blue=6.black=4
*y015 black=3.blue=6.black=1
*y016 green=8.black=1.blue=6.black=2.green=3
*y017 green=2.black=1.blue=7.black=1
*y018 green=1.6.black=1.blue=5.black=4.green=2
*y019 green=7.black=7.1.green=2
*y020 green=9.black=1.1.green=2
;
*t001 water=6.black=3.green=3.1
*t002 water=1.black=6.1.hada=2.black=1.green=2.2
*t003 black=2.3.1.hada=2.black=1.green=1.3
*t004 black=1.2.3.1.hada=1.black=1.green=1.3
*t005 black=1.2.1.1.hada=1.black=1.green=1.3
*t006 black=1.1.1.1.hada=1.black=1.green=1.3
*t007 black=3.3.5.green=1.3
*t008 black=3.6.blue=3.black=1.green=1.3
*t009 water=1.black=6.hada=1.black=1.hada=1.black=2.blue=1.black=6.green=1
*t010 water=2.cha=5.hada=4.black=2.blue=5.black=2
*t011 water=1.cha=5.hada=4.red=1.hada=1.black=1.blue=5.black=1
*t012 water=1.cha=4.hada=3.black=1.hada=1.red=1.hada=1.black=1.blue=5.black=1
*t013 water=2.cha=5.hada=5.black=1.blue=5.black=1
*t014 water=2.cha=7.hada=2.black=2.blue=5.black=1
*t015 water=2.cha=5.black=1.hada=2.black=2.blue=5.black=2
*t016 water=2.cha=5.black=4.blue=1.black=4.blue=1.black=1
*t017 water=3.cha=1.water=1.cha=3.black=1.blue=3.black=1.3
*t018 water=6.black=1.blue=3.black=1.green=1.black=3
*t019 water=6.black=5.green=1.3
*t020 water=6.black=1.hada=1.black=1.green=1.3
;
