;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"brown="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;  ↓ここから本番です
;
*M 三谷幸喜の映画
*Y55
*T85
*S3
*D5
;
;
*y001 cha=13.blue=18.cha=2.black=2.2.yellow=4.black=9.yellow=5.black=1.blue=15
*y002 cha=14.blue=15.cha=2.black=1.red=2.black=1.yellow=6.black=16.yellow=2.black=1.blue=15
*y003 cha=15.blue=13.cha=2.black=2.1.yellow=2.black=24.blue=15
*y004 cha=17.blue=11.cha=2.black=1.1.red=3.black=13.hada=6.black=8.blue=13
*y005 cha=18.blue=9.cha=2.black=3.5.cha=2.black=4.hada=9.black=4.cha=2.black=2.blue=11
*y006 cha=19.blue=6.cha=2.black=1.2.red=4.black=3.cha=3.black=6.hada=6.black=7.cha=1.black=2
*y007 cha=9.black=8.cha=3.blue=3.cha=2.black=1.1.1.cha=5.black=2.hada=4.black=2.hada=3.black=2.hada=4.black=2.cha=2.black=1.3
*y008 cha=6.black=4.hada=6.black=3.cha=2.3.black=1.3.red=5.black=2.cha=3.black=2.hada=2.black=6.hada=1.black=2.hada=1.black=3.hada=2.black=1.cha=2.black=2.2.3.hada=2
*y009 cha=5.black=2.hada=11.black=2.cha=3.2.black=1.1.2.7.hada=2.black=4.1.hada=2.black=5.1.hada=1.black=1.cha=1.black=4.hada=1.black=1.2.hada=2.black=2
*y010 cha=3.black=3.hada=13.black=2.cha=3.black=1.3.red=7.black=6.hada=6.black=1.hada=3.black=2.hada=6.black=1.cha=1.black=2.1.hada=1.black=2.3.hada=1.black=3.hada=1
*y011 cha=1.black=4.hada=14.black=4.cha=2.black=4.red=8.black=2.hada=1.black=3.hada=3.black=3.hada=4.black=5.hada=3.black=3.1.hada=2.black=4.hada=2.black=2.hada=2.black=1
*y012 black=4.hada=15.black=5.cha=2.black=3.cha=11.black=1.hada=1.black=1.hada=1.black=1.hada=10.black=3.hada=5.black=2.1.hada=2.black=3.hada=2.black=2.hada=2.black=2
*y013 black=4.hada=15.black=2.3.cha=2.blue=3.cha=8.black=1.hada=2.black=2.hada=5.black=2.hada=4.black=2.hada=5.black=3.1.hada=3.black=1.hada=2.black=2.hada=1.black=3.hada=1
*y014 black=3.hada=17.black=2.2.cha=3.blue=7.cha=3.black=2.hada=2.black=1.hada=3.black=3.hada=6.black=2.hada=4.black=2.2.hada=2.black=1.hada=4.black=2.hada=3
*y015 black=3.hada=17.black=2.2.cha=4.blue=9.black=2.hada=1.black=1.hada=2.black=2.hada=2.black=3.hada=1.black=5.hada=3.black=2.1.hada=11.black=1
*y016 black=2.hada=17.black=2.2.cha=4.blue=8.black=4.hada=2.black=1.hada=6.black=2.hada=2.black=3.hada=2.black=1.10.hada=4.black=2
*y017 black=2.hada=18.black=3.2.cha=6.blue=7.black=4.hada=2.black=14.hada=1.black=6.2.4.hada=1.black=2
*y018 black=3.hada=10.black=1.hada=2.black=3.hada=3.black=2.2.cha=7.blue=6.black=4.hada=1.black=3.3.hada=2.black=1.3.7.4
*y019 black=2.hada=2.black=6.hada=3.black=1.hada=1.black=6.hada=1.black=6.cha=7.blue=5.black=4.hada=1.3.black=7.1.hada=1.black=1.13.2
*y020 black=2.hada=1.black=2.hada=2.black=4.hada=2.black=2.hada=7.black=6.cha=9.blue=4.black=1.blue=1.black=4.hada=3.black=4.hada=2.black=1.hada=1.black=21
*y021 black=3.hada=7.black=2.hada=3.black=3.hada=4.black=3.3.cha=5.black=4.blue=4.black=3.hada=1.black=3.hada=8.black=24
*y022 black=2.hada=4.black=4.hada=1.black=2.hada=1.black=6.hada=3.black=3.2.cha=3.black=7.blue=2.black=4.hada=1.black=3.hada=7.black=24
*y023 black=4.hada=1.black=8.hada=1.black=1.2.hada=1.black=1.hada=2.black=3.2.8.2.2.yellow=1.black=3.hada=2.black=3.hada=4.black=9.hada=1.black=2.hada=7.black=6
*y024 black=2.hada=1.black=3.2.hada=1.black=2.hada=1.black=2.hada=7.black=5.2.10.2.yellow=2.black=3.hada=1.black=12.hada=14.black=4
*y025 black=3.hada=1.black=1.hada=5.black=2.hada=3.black=3.hada=5.black=4.2.13.3.yellow=2.black=3.hada=5.black=5.hada=16.black=3
*y026 black=3.hada=2.black=2.hada=3.black=2.hada=11.black=4.17.3.yellow=2.black=3.hada=2.black=6.hada=15.black=4
*y027 black=3.hada=6.black=2.hada=4.black=1.hada=8.black=2.19.4.yellow=2.black=2.2.yellow=1.black=4.hada=15.black=4
*y028 black=1.1.hada=5.black=2.hada=5.black=2.hada=6.black=3.20.5.yellow=1.black=1.1.yellow=1.black=5.hada=16.black=3
*y029 black=3.hada=4.black=1.hada=1.black=5.hada=1.black=2.hada=5.black=25.3.yellow=1.black=1.1.yellow=1.black=5.hada=10.black=3.hada=3.black=3
*y030 black=2.1.hada=5.black=3.hada=1.black=1.hada=1.black=2.hada=5.black=7.19.11.hada=1.black=3.hada=6.black=6.hada=1.black=3
*y031 black=2.hada=19.black=7.2.3.14.4.cha=2.black=8.hada=3.black=3.hada=4.black=2.hada=1.black=2
*y032 black=3.hada=4.black=3.hada=1.black=5.hada=1.black=2.hada=3.black=6.3.3.15.2.cha=4.black=3.hada=4.black=2.hada=2.black=5.hada=4.black=2
*y033 black=3.hada=2.black=3.10.hada=2.black=6.3.hada=1.black=4.2.12.1.cha=1.yellow=1.cha=2.black=2.hada=2.black=4.hada=2.black=2.4.hada=4.black=1
*y034 black=3.3.2.1.3.10.hada=2.black=3.2.12.cha=1.3.black=2.hada=1.black=1.4.hada=3.black=1.hada=8.black=1
*y035 black=6.hada=2.black=1.hada=2.black=4.hada=5.black=8.hada=2.black=3.hada=1.black=1.hada=1.black=5.11.cha=2.1.black=2.hada=6.black=1.hada=4.black=2.hada=6.black=1
*y036 black=4.hada=18.black=5.hada=1.black=3.hada=4.black=2.hada=2.black=15.cha=3.black=1.hada=1.black=1.hada=2.black=2.hada=1.black=1.hada=2.black=1.hada=8.black=2
*y037 black=1.2.hada=1.15.black=9.1.hada=1.black=1.hada=3.black=3.hada=1.black=13.cha=4.black=2.hada=4.black=2.hada=2.black=2.hada=7.black=1.hada=1
*y038 black=4.hada=15.black=6.hada=1.black=2.3.hada=2.black=3.1.hada=1.black=12.cha=5.black=2.hada=4.black=1.hada=4.black=1.hada=2.black=2.hada=1.black=1.hada=1.black=1.hada=1
*y039 black=5.hada=3.black=2.hada=2.black=3.hada=1.black=7.hada=5.black=2.hada=3.black=2.2.hada=1.black=12.cha=5.blue=1.black=2.hada=2.black=3.hada=1.black=4.hada=2.black=2.hada=3.black=1
*y040 black=8.hada=2.black=5.hada=1.black=5.3.hada=5.black=2.hada=9.black=8.3.cha=5.blue=1.black=3.hada=1.black=2.hada=1.black=1.hada=3.black=2.hada=6.black=1
*y041 black=9.hada=1.black=4.hada=1.black=6.4.hada=4.black=2.hada=11.black=8.2.cha=5.blue=3.black=1.hada=1.black=2.hada=2.black=2.hada=3.black=1.hada=5.black=2
*y042 black=11.10.5.hada=3.black=2.hada=11.black=8.3.cha=3.blue=3.black=2.hada=1.black=1.hada=2.black=1.hada=3.5.black=1
*y043 black=5.yellow=1.black=10.6.red=1.black=3.hada=3.black=1.hada=2.black=2.hada=9.black=8.2.cha=3.blue=4.black=1.hada=2.black=2.hada=1.black=4.hada=3.black=3
*y044 black=4.yellow=2.black=2.blue=1.black=2.6.red=2.black=3.hada=2.1.black=3.hada=10.black=8.2.cha=3.blue=5.black=2.hada=1.black=1.4.hada=1.black=1.hada=3.black=3
*y045 black=4.yellow=2.black=2.blue=2.black=1.blue=2.black=6.red=3.black=2.hada=16.black=9.2.cha=2.blue=6.black=1.hada=2.7.black=1.2.1
*y046 black=5.yellow=2.black=2.blue=6.black=7.red=3.black=3.hada=2.red=1.hada=6.black=2.hada=4.black=12.cha=2.blue=6.black=2.hada=3.black=2.hada=4.black=3
*y047 black=5.yellow=3.black=2.blue=6.black=5.1.red=3.black=3.hada=2.red=6.hada=2.black=1.hada=1.black=1.hada=1.black=13.cha=2.blue=8.black=2.hada=6.black=5.1
*y048 black=2.yellow=1.black=2.yellow=3.black=3.blue=4.black=4.1.red=1.black=1.red=1.black=4.hada=2.red=4.hada=7.black=13.cha=1.blue=9.black=2.hada=4.black=5.1
*y049 black=2.yellow=2.black=1.yellow=3.black=4.blue=2.black=4.yellow=1.black=1.red=1.black=7.hada=10.black=8.6.cha=1.blue=9.black=7.hada=1.black=2.2
*y050 black=3.yellow=1.black=1.yellow=3.black=1.yellow=1.black=2.3.yellow=3.black=1.red=2.black=6.hada=7.black=10.5.cha=2.blue=6.black=2.3.hada=2.black=2.3
*y051 black=3.yellow=5.black=1.yellow=2.black=1.3.yellow=3.black=2.red=1.black=7.hada=3.black=5.hada=1.black=7.5.cha=1.blue=3.black=3.1.hada=2.black=2.5
*y052 red=1.black=2.yellow=3.black=1.yellow=2.black=2.blue=1.black=3.yellow=2.black=2.red=2.black=2.hada=3.black=2.hada=1.black=4.hada=3.black=1.5.5.cha=2.black=5.4.7
*y053 red=1.black=3.yellow=2.black=1.yellow=2.black=2.blue=3.black=2.yellow=2.black=1.red=2.black=1.hada=1.black=3.hada=1.black=4.hada=4.black=2.5.6.cha=2.black=4.10.4
*y054 red=2.black=2.yellow=2.black=2.yellow=1.black=1.blue=3.black=2.yellow=2.black=2.red=1.black=3.hada=4.black=2.hada=4.black=2.5.3.3.cha=2.black=6.8.4
*y055 red=3.black=1.yellow=3.black=2.1.blue=3.black=1.yellow=4.black=2.red=2.black=1.hada=2.black=2.hada=2.black=2.hada=1.black=3.5.3.5.cha=2.black=7.4.5.3
;
*t001 cha=11.black=4.11.8.12.red=4
*t002 cha=10.black=17.8.16.red=2
*t003 cha=10.black=8.hada=2.black=1.hada=1.black=1.hada=1.black=5.16.yellow=2.black=5.red=1
*t004 cha=9.black=4.hada=3.black=1.hada=2.black=2.hada=4.black=2.hada=2.black=14.yellow=3.black=3
*t005 cha=9.black=2.hada=5.black=2.hada=3.black=2.hada=8.black=1.hada=2.black=6.yellow=2.black=5.yellow=1
*t006 cha=8.black=2.hada=7.black=1.hada=3.black=2.hada=1.black=1.hada=7.black=2.hada=1.black=4.yellow=10.1
*t007 cha=7.black=2.hada=9.black=1.hada=2.black=2.hada=1.black=1.hada=6.black=2.hada=4.black=4.yellow=10
*t008 cha=7.black=1.hada=10.black=2.hada=1.black=2.hada=7.black=3.hada=5.black=5.yellow=9
*t009 cha=7.black=1.hada=10.black=2.hada=1.black=3.hada=3.black=2.hada=2.black=2.1.hada=5.black=15
*t010 cha=6.black=2.hada=10.black=2.hada=1.black=3.hada=2.black=2.hada=1.black=1.hada=1.black=1.1.hada=7.black=2.blue=1.black=5.yellow=4.black=2
*t011 cha=6.black=1.hada=12.black=2.hada=1.black=1.hada=1.black=3.hada=1.black=2.hada=2.black=2.hada=4.black=1.2.blue=3.black=3.yellow=4
*t012 cha=6.black=1.hada=13.black=6.hada=2.black=2.hada=1.black=2.1.hada=3.black=3.1.blue=3.black=5
*t013 cha=6.black=1.hada=14.black=3.hada=4.black=1.hada=2.black=2.1.hada=4.black=4.blue=3.black=4
*t014 cha=5.black=1.hada=10.black=3.hada=8.black=2.hada=1.black=2.1.hada=4.black=5.blue=4.3
*t015 cha=4.black=1.hada=12.black=1.hada=1.black=3.hada=4.black=1.hada=2.black=2.1.hada=3.black=7.blue=4.3
*t016 cha=3.black=1.hada=11.black=1.hada=1.black=2.2.hada=1.black=2.hada=1.black=1.hada=1.black=2.hada=4.black=2.hada=1.black=2.blue=4.4
*t017 cha=3.black=2.hada=9.black=2.hada=1.black=2.hada=1.black=1.hada=2.black=3.hada=2.black=2.hada=4.black=1.hada=1.black=2.blue=1.black=10
*t018 cha=3.black=1.hada=9.black=2.hada=1.black=3.hada=1.black=1.hada=3.black=1.hada=2.black=2.hada=5.black=2.11.yellow=1
*t019 blue=1.cha=2.black=2.hada=8.black=2.hada=2.black=2.hada=8.black=3.hada=4.black=13.yellow=3
*t020 blue=1.cha=2.black=2.hada=8.black=1.hada=2.black=1.hada=10.black=2.hada=4.black=10.yellow=6
*t021 blue=2.cha=2.black=4.hada=5.black=1.hada=3.black=1.hada=10.black=2.hada=3.black=9.yellow=3.1
*t022 blue=3.cha=2.black=7.hada=16.black=1.hada=1.black=10.yellow=3
*t023 blue=4.cha=2.black=2.8.hada=8.black=11.10
*t024 blue=5.cha=1.black=3.10.hada=1.black=12.3.red=7.black=5
*t025 blue=5.cha=1.black=4.24.red=5.black=2.red=4.black=2
*t026 blue=6.cha=2.black=8.23.red=4.black=3.red=4
*t027 blue=7.cha=4.black=6.3.26.red=1
*t028 blue=7.cha=6.black=6.9.hada=1.black=1.hada=4.black=11.hada=1.black=2
*t029 blue=7.cha=1.7.black=3.7.1.hada=1.black=3.hada=7.black=6.hada=1.black=2.hada=1
*t030 blue=6.cha=2.black=1.cha=8.black=6.3.hada=1.black=3.hada=9.black=4.hada=1.black=1.hada=2
*t031 blue=6.cha=1.black=4.cha=7.black=2.11.hada=5.4.black=3.hada=1.black=1.hada=1.black=1
*t032 blue=5.cha=2.black=2.cha=6.black=1.11.hada=1.black=2.hada=2.black=3.hada=2.red=2.hada=2.black=2.hada=2.black=1
*t033 blue=4.cha=2.black=4.cha=1.blue=1.cha=5.black=9.hada=2.black=1.hada=2.black=5.hada=1.black=1.hada=2.red=2.hada=2.black=2.hada=2
*t034 blue=3.cha=2.black=2.cha=1.blue=2.cha=4.black=12.hada=3.black=4.hada=3.black=1.hada=2.red=2.hada=4.black=2.hada=1
*t035 blue=2.cha=2.black=5.red=1.cha=1.blue=2.cha=2.black=15.hada=7.black=2.hada=2.red=2.hada=3.black=4
*t036 blue=1.cha=2.black=2.red=2.cha=2.blue=2.cha=1.black=14.hada=1.black=1.hada=6.black=1.hada=3.red=2.hada=3.black=2.hada=1.black=1
*t037 cha=2.black=5.red=2.cha=2.blue=3.cha=1.black=10.4.hada=1.black=1.hada=8.red=1.hada=3.black=2.hada=3
*t038 cha=2.black=2.red=1.2.cha=2.blue=4.black=12.1.hada=1.black=3.hada=11.black=2.hada=2.black=1
*t039 cha=1.black=3.red=1.1.2.cha=2.blue=4.black=1.12.hada=1.black=3.hada=6.black=1.hada=4.black=1.hada=3.black=1
*t040 black=3.red=1.1.1.2.cha=2.blue=5.black=15.hada=6.black=2.hada=2.black=2.hada=2.black=2
*t041 black=1.red=1.1.1.1.2.cha=3.blue=5.black=10.2.hada=1.black=2.hada=10.black=2.hada=1.black=2
*t042 red=1.1.1.1.black=1.red=2.cha=3.blue=6.black=11.2.hada=1.black=1.hada=7.black=1.hada=1.black=2.hada=1.black=2
*t043 black=11.cha=3.blue=7.black=14.hada=10.black=3.2
*t044 black=1.yellow=1.black=3.cha=1.black=7.blue=7.black=16.hada=6.black=9
*t045 yellow=2.black=3.cha=2.black=2.hada=3.black=4.blue=5.black=17.hada=2.black=11
*t046 yellow=1.black=3.cha=3.black=4.hada=2.black=6.blue=2.black=1.29
*t047 yellow=1.black=3.cha=3.black=3.hada=1.black=1.hada=2.black=4.blue=1.black=4.28
*t048 yellow=1.black=2.cha=3.black=15.yellow=1.black=2.25
*t049 yellow=1.black=2.cha=1.black=3.hada=9.black=6.yellow=1.black=1.22.1
*t050 yellow=2.black=5.hada=12.black=1.hada=1.black=2.yellow=1.black=2.18.4
*t051 yellow=1.black=5.hada=2.black=1.hada=5.black=3.2.hada=1.black=2.yellow=1.black=2.25
*t052 yellow=1.black=5.hada=1.black=2.hada=1.black=1.hada=2.black=2.hada=1.black=2.hada=1.black=2.hada=1.black=1.yellow=1.black=3.8.14
*t053 yellow=1.black=5.hada=1.black=2.hada=1.black=1.hada=2.black=1.hada=2.black=2.hada=2.black=2.hada=1.black=2.yellow=1.black=2.8.11.1
*t054 black=4.hada=1.black=1.hada=1.black=2.hada=1.black=1.hada=1.black=2.hada=2.black=2.hada=3.black=2.hada=1.black=1.yellow=1.black=3.cha=2.black=7.10
*t055 black=4.hada=2.black=2.1.hada=2.black=1.hada=1.black=1.hada=1.black=1.1.hada=3.black=1.2.yellow=1.black=3.cha=4.black=13.cha=1.black=3
*t056 black=3.hada=3.black=3.hada=5.black=1.hada=1.black=1.2.hada=2.black=2.1.yellow=1.black=3.cha=6.black=8.cha=4.black=2
*t057 black=3.hada=4.black=1.hada=6.black=1.hada=1.black=1.2.hada=3.black=1.hada=1.black=2.yellow=2.black=2.cha=15.2.black=1
*t058 black=3.hada=12.black=2.2.hada=3.black=1.hada=2.black=6.cha=11.2
*t059 black=3.hada=4.black=5.hada=2.black=3.2.hada=3.black=1.hada=2.black=4.cha=7.1
*t060 black=3.hada=3.black=7.hada=1.black=1.hada=1.black=1.1.hada=4.black=1.hada=1.black=5.cha=2.3
*t061 black=3.hada=2.black=2.hada=1.black=1.hada=1.black=5.hada=1.black=3.hada=3.black=2.hada=1.black=2.yellow=2.black=1.cha=2.yellow=1.cha=1
*t062 black=4.hada=1.black=1.hada=1.black=2.hada=1.black=1.hada=2.black=5.7.yellow=1.black=3.cha=4.blue=3
*t063 yellow=1.black=5.hada=1.black=2.hada=1.black=1.hada=3.black=5.hada=1.black=11.cha=4.blue=6.black=1
*t064 yellow=1.black=5.hada=1.black=1.hada=6.black=2.hada=2.black=17.blue=10.black=2
*t065 yellow=1.black=5.hada=2.black=1.hada=9.black=17.hada=1.black=2.blue=12.black=2
*t066 yellow=1.black=6.hada=9.black=2.10.hada=1.black=2.hada=3.black=5.blue=11.black=3
*t067 yellow=2.black=2.cha=1.black=12.6.hada=5.black=2.hada=2.black=1.hada=4.black=4.blue=9.black=3
*t068 yellow=1.black=2.cha=6.black=5.7.hada=6.black=2.hada=1.black=1.hada=5.black=1.hada=1.black=3.blue=7.black=4
*t069 black=6.cha=2.black=3.1.7.hada=6.black=2.hada=1.black=2.hada=1.black=1.hada=4.black=1.hada=2.black=3.blue=4.black=5
*t070 black=6.7.hada=8.black=1.hada=1.black=2.hada=1.black=1.hada=2.black=4.hada=3.black=2.blue=2.black=3
*t071 blue=3.black=2.2.5.hada=8.black=3.hada=2.black=4.hada=1.black=1.hada=2.black=7.1
*t072 blue=3.black=6.1.6.hada=8.black=1.hada=1.black=4.hada=1.black=1.hada=3.black=1.hada=2.black=2.4
*t073 blue=4.black=1.hada=5.black=3.5.hada=17.black=2.hada=1.black=2.hada=4.black=2.3
*t074 blue=4.black=3.hada=5.black=7.hada=8.black=1.hada=1.black=1.hada=5.black=1.hada=1.black=2.hada=1.black=1.hada=1.black=1.hada=2.black=7
*t075 blue=5.black=3.hada=3.black=7.hada=8.black=3.hada=2.black=2.hada=1.black=1.hada=3.black=2.hada=1.black=1.hada=2.black=2.hada=1.black=3
*t076 blue=5.black=4.hada=1.black=1.5.hada=7.black=3.1.hada=2.black=3.hada=3.black=2.hada=4.black=1.hada=2.black=4
*t077 blue=5.black=2.hada=3.black=1.5.hada=6.black=2.hada=1.black=2.hada=1.black=1.hada=3.black=2.hada=2.black=1.hada=4.black=2.hada=1.black=5
*t078 blue=5.black=2.hada=4.black=7.hada=6.black=2.hada=1.black=2.hada=1.black=1.hada=4.black=2.2.hada=2.black=2.hada=1.black=2.3
*t079 blue=5.black=1.hada=2.black=1.hada=2.black=2.4.hada=6.black=2.hada=1.black=2.hada=4.black=1.hada=4.3.black=4.4
*t080 blue=5.black=2.hada=1.black=2.hada=3.black=1.4.hada=6.black=1.hada=2.black=1.hada=4.black=2.hada=5.black=5.2.1
*t081 blue=5.black=2.hada=1.black=2.hada=1.black=1.hada=2.black=2.4.hada=6.black=2.hada=7.black=1.hada=5.black=3.2
*t082 blue=5.black=1.hada=1.black=2.hada=1.black=2.hada=3.black=7.hada=1.black=2.hada=3.black=1.hada=6.black=1.hada=5.black=3.4
*t083 blue=5.black=2.hada=1.black=1.hada=2.black=1.hada=3.black=14.hada=12.black=3.6
*t084 blue=5.black=1.hada=1.black=2.hada=1.black=2.hada=2.black=3.13.hada=3.black=3.hada=2.black=4.7
*t085 blue=5.black=1.hada=1.black=1.hada=1.black=2.hada=2.black=2.16.hada=2.black=3.3.9
;
