;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞
;  *D uucheck()の解析時間の打ち切り       *d *D と同じ。
;
;  ↓以下は使わなくなりました↓
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;
;　・命令 *Y,*T,*y,*t,   & { *D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2
;　というデータがはいっているということです。
;  *t052  3.4.8.2というように数字の間は,でなく.でもOK
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m126 test.mno （リターン）と打ってください。
;　$ ./m126 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　uucheck()の解析時間の打ち切り　（省略時　*D30）
;
;        プログラム上でuucheck()の処理を*D30なら３０秒、
;        *D50なら５０秒で打ち切りです。
;        進捗はTIME2の時間をご覧ください
;
; *S *R *K *L のコマンドは今は使っていません
;
;  白黒(モノクロ)データの打込み例
;
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：
;*Y10
;*T10
;
;*y001 2,2,2
;*y002 3,1,1
;*y003 8
;*y004 1,3
;*y005 2,1,1
;*y006 2,1
;*y007 5
;*y008 3
;*y009 6
;*y010 6
;
;*t001 1,2
;*t002 2,2
;*t003 3,1
;*t004 3,1,1
;*t005 1,1,4 
;*t006 2,4
;*t007 8
;*t008 4,2
;*t009 1,1,2
;*t010 2,2
;
;
;　カラーデータの打込み例
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;　＜使える色＞
;  black  red  green  blue  yellow  violet  water  white
;  黒　　 赤   緑　   青　  黄色　  紫　    水色　 白
;
;  orange cha    pink  hada  kimi  oudo    kon   hai
;　橙色   茶色　 桃色　肌色　黄緑　黄土色　紺色　灰色
;
;
;*M 色見本(カラーの打込み例)
;*Y10
;*T10
;*S3
;*D30
;
;*y001 black=5,red=5
;*y002 green=5,blue=5
;*y003 yellow=5,violet=5
;*y004 water=5,orange=5
;*y005 cha=5,pink=5
;*y006 hada=5,kimi=5
;*y007 oudo=5,kon=5
;*y008 hai=7
;*y009 hai=7
;*y010 hai=7
;
;*t001 black=1,green=1,yellow=1,water=1,cha=1,hada=1,oudo=1,hai=3
;*t002 black=1,green=1,yellow=1,water=1,cha=1,hada=1,oudo=1,hai=3
;*t003 black=1,green=1,yellow=1,water=1,cha=1,hada=1,oudo=1,hai=3
;*t004 black=1,green=1,yellow=1,water=1,cha=1,hada=1,oudo=1,hai=3
;*t005 black=1,green=1,yellow=1,water=1,cha=1,hada=1,oudo=1,hai=3
;*t006 red=1,blue=1,violet=1,orange=1,pink=1,kimi=1,kon=1,hai=3
;*t007 red=1,blue=1,violet=1,orange=1,pink=1,kimi=1,kon=1,hai=3
;*t008 red=1,blue=1,violet=1,orange=1,pink=1,kimi=1,kon=1
;*t009 red=1,blue=1,violet=1,orange=1,pink=1,kimi=1,kon=1
;*t010 red=1,blue=1,violet=1,orange=1,pink=1,kimi=1,kon=1
;;
;
;
;
;
;
;
;  ↓ここから本番です
;
*M 海水浴
*Y50
*T70
*S3
*D5
;
;
*y001 water=12.9.2.18.3.5
*y002 water=2.black=1.water=8.9.2.8.black=1.water=1.black=1.water=6.3.5
*y003 water=1.9.6.4.2.4.4.6
*y004 water=1.black=1.water=5.black=1.water=4.2.red=12.water=1.1.5
*y005 water=9.4.2.black=11.water=1.5
*y006 blue=9.58
*y007 blue=11.5.black=1.blue=50
*y008 blue=11.black=1.blue=5.52
*y009 blue=15.13.cha=1.blue=1.red=2.blue=21.hada=2.blue=12
*y010 blue=15.15.cha=1.blue=1.cha=2.blue=5.hada=3.blue=8.black=2.blue=3.hada=1.blue=13
*y011 blue=15.black=1.blue=8.red=3.blue=4.cha=5.blue=6.hada=1.blue=7.red=1.hada=3.1.red=1.blue=12
*y012 blue=24.red=3.blue=1.cha=1.blue=10.hada=1.blue=1.hada=2.blue=6.red=3.hada=1.red=4.blue=12
*y013 blue=5.black=1.blue=18.cha=3.blue=1.cha=1.blue=10.hada=1.blue=1.hada=3.blue=6.red=2.hada=1.red=3.blue=13
*y014 red=5.black=1.red=2.blue=17.cha=1.blue=2.cha=1.blue=28.black=9.blue=4
*y015 red=1.1.4.blue=13.cha=6.blue=27.black=11.blue=3
*y016 red=2.6.blue=9.cha=5.blue=4.12.7.black=13.blue=2
*y017 red=3.7.blue=7.cha=1.blue=1.cha=3.blue=6.9.2.black=15.blue=1
*y018 red=4.8.blue=4.cha=1.3.blue=25.black=3.cha=8.black=4.blue=1
*y019 red=5.8.cha=1.black=3.blue=3.6.black=5.cha=4.black=6
*y020 red=5.8.cha=1.black=1.cha=1.black=2.cha=11.black=2
*y021 red=5.8.cha=1.1.black=8.cha=2.black=1.cha=1.black=2.cha=5.black=2.cha=1.black=1.cha=2
*y022 red=5.8.cha=1.1.black=11.3.cha=4.black=1.cha=7.black=1.cha=4
*y023 red=5.6.cha=1.1.black=2.13.red=1.black=2.cha=3.red=1.cha=9.red=1.cha=3
*y024 red=5.4.cha=2.2.black=3.red=1.black=13.red=1.black=1.cha=4.4
*y025 red=5.2.black=3.red=1.black=6.hada=1.black=7.cha=4.4
*y026 red=5.4.1.black=8.hada=4.black=6.cha=11
*y027 red=5.4.black=2.4.red=2.black=3.hada=10.black=1.hada=2.cha=9
*y028 red=11.1.black=4.hada=2.black=2.hada=2.black=1.hada=7.black=2.hada=5.cha=4
*y029 black=1.red=2.black=4.hada=3.black=1.hada=5.black=2.hada=4.black=1.hada=5.cha=13
*y030 black=2.4.hada=3.black=1.hada=5.black=1.hada=6.red=1.hada=2.cha=8.water=1.cha=3
*y031 black=1.4.hada=3.2.red=1.hada=10.cha=8.water=2.cha=3
*y032 black=1.5.hada=5.4.red=3.hada=4.cha=5.2.water=3.cha=2
*y033 black=2.hada=4.7.9.cha=5.2.red=2.cha=1.red=2.cha=2
*y034 black=1.hada=5.7.4.cha=4.2.5.red=3.cha=2
*y035 black=1.hada=1.water=4.hada=1.3.1.5.red=1.hada=5.red=1.hada=6.cha=2.2.10
*y036 black=2.1.red=1.hada=1.water=2.hada=4.3.1.6.red=1.hada=5.red=1.hada=7.cha=2.2.10
*y037 black=1.1.red=2.hada=1.water=3.hada=3.1.7.red=1.hada=5.red=1.hada=7.cha=6.red=1.cha=6
*y038 black=3.1.red=2.hada=1.1.water=4.black=3.hada=1.3.red=9.hada=4.cha=6.red=4
*y039 black=2.hada=1.black=1.hada=2.black=1.red=2.hada=1.1.water=4.hada=2.black=4.hada=2.2.water=4.red=9.water=4.hada=3.cha=12
*y040 black=2.hada=1.black=2.hada=2.black=1.hada=1.red=1.hada=1.2.water=4.hada=2.black=4.hada=3.water=4.red=9.water=5.hada=2.cha=10
*y041 black=2.hada=1.black=2.hada=2.3.4.water=3.red=9.water=4.hada=4.cha=10
*y042 black=4.hada=4.2.3.2.water=3.red=9.water=3.hada=2.blue=10
*y043 blue=1.black=5.hada=5.red=2.hada=2.6.1.water=7.2.8.hada=2.blue=10
*y044 blue=3.black=4.hada=3.red=3.hada=2.8.water=6.2.9.hada=1.blue=11
*y045 blue=4.black=3.hada=2.red=5.hada=2.5.4.water=6.2.8.blue=11
*y046 blue=7.hada=9.red=2.hada=5.4.water=4.2.7.blue=5.5
*y047 blue=8.hada=8.red=1.hada=5.3.red=14.cha=4.4
*y048 blue=1.10.red=5.hada=4.4.red=4.hada=1.red=4.2.cha=4.4
*y049 blue=1.11.red=3.hada=3.blue=10.hada=6.blue=1.hada=3.3.cha=4.3
*y050 blue=1.33.hada=3.3.cha=4.3
;
*t001 water=5.blue=8.red=2.10.black=7.blue=8
*t002 water=2.black=1.water=1.blue=8.red=1.11.black=4.6.blue=4
*t003 water=1.2.blue=8.red=1.12.black=4.1.hada=3.black=2.blue=5
*t004 water=1.black=1.water=3.blue=8.red=1.13.black=2.6.blue=5
*t005 water=5.blue=8.red=15.hada=1.black=2.hada=1.black=3.blue=5
*t006 water=5.blue=7.black=2.red=1.hada=4.black=3.blue=5
*t007 water=5.blue=8.red=2.1.hada=4.black=2.blue=5
*t008 water=3.black=1.water=1.blue=8.red=3.1.hada=5.blue=4
*t009 water=3.1.blue=9.red=3.1.hada=5.blue=3
*t010 water=3.blue=8.red=4.1.hada=2.red=1.hada=2.blue=3
*t011 water=5.blue=9.red=4.2.hada=1.red=2.hada=2.blue=3
*t012 water=5.black=1.blue=7.red=5.1.3.hada=2.blue=3
*t013 water=2.blue=10.red=6.1.black=5.red=3.hada=2.red=1.blue=2
*t014 water=2.blue=11.red=6.2.4.hada=2.red=1.hada=2.red=1.blue=2
*t015 blue=11.red=7.1.4.hada=7.red=2.blue=1
*t016 water=2.blue=3.black=1.blue=6.red=7.1.hada=10.red=2.blue=1
*t017 water=2.blue=3.8.red=9.1.4.blue=1
*t018 water=3.blue=1.9.red=7.2.1.hada=3.blue=1
*t019 water=3.blue=1.11.red=5.hada=1.4.blue=1
*t020 water=5.blue=1.black=1.blue=11.red=3.black=1.hada=7.5.blue=1
*t021 water=5.blue=13.red=1.black=5.hada=2.water=2.3.hada=4.blue=2
*t022 water=3.blue=12.black=6.hada=2.water=6.hada=4.blue=2
*t023 water=3.blue=10.cha=4.black=6.hada=2.water=1.hada=1.water=4.hada=4.blue=2
*t024 water=2.blue=9.cha=2.blue=1.cha=1.black=5.hada=2.water=1.hada=1.water=4.hada=3.blue=2
*t025 blue=5.red=2.cha=1.blue=1.cha=4.black=1.cha=5.hada=1.2.3.blue=2
*t026 blue=5.red=2.cha=6.black=2.hada=4.2.3.blue=2
*t027 blue=5.red=2.cha=1.blue=1.cha=4.black=1.cha=5.black=1.hada=3.3.black=2.hada=4.blue=2
*t028 blue=9.cha=1.blue=2.cha=1.black=1.hada=10.black=3.hada=4.blue=2
*t029 water=1.blue=6.cha=4.blue=2.black=2.hada=9.black=3.hada=3.blue=2
*t030 water=3.blue=13.black=4.hada=7.black=3.hada=3.blue=2
*t031 water=3.blue=13.hada=3.1.4.blue=1
*t032 water=1.blue=3.cha=3.blue=4.3.red=2.hada=7.3.blue=1
*t033 blue=5.cha=1.blue=4.3.red=1.hada=4.2.blue=1
*t034 blue=3.red=1.cha=2.blue=5.2.black=3.hada=6.water=1.hada=2.blue=1
*t035 blue=3.red=1.cha=2.blue=5.1.black=4.hada=6.water=4.hada=1.blue=1
*t036 water=2.blue=5.cha=1.blue=5.1.black=4.hada=3.4.water=2.hada=1.water=4.hada=1.blue=1
*t037 water=2.red=1.blue=11.1.red=2.black=2.hada=3.3.water=8.blue=2
*t038 water=2.red=1.black=1.blue=11.1.black=6.hada=3.3.water=3.4.red=2
*t039 water=3.red=1.black=1.blue=11.2.black=6.hada=5.3.water=3.4.red=2
*t040 water=3.red=1.black=1.blue=6.6.black=5.hada=4.red=1.hada=2.3.red=5.water=4.red=2.hada=2
*t041 water=2.red=1.black=1.blue=4.hada=1.blue=1.hada=2.blue=6.black=6.hada=2.black=2.hada=3.red=8.2.hada=2
*t042 water=2.red=1.black=1.blue=4.hada=1.blue=9.black=5.hada=3.black=1.hada=8.red=5.1.hada=3
*t043 water=2.red=1.black=1.blue=4.hada=4.blue=6.black=5.hada=6.red=1.hada=5.red=5.water=4.red=1
*t044 water=1.black=1.red=1.black=1.blue=6.hada=2.blue=6.black=4.hada=7.red=1.hada=5.red=5.water=4.red=2
*t045 water=2.red=1.black=1.blue=7.hada=1.blue=5.black=5.hada=6.red=1.hada=5.red=5.2.hada=2
*t046 water=1.black=1.red=1.black=1.blue=10.2.black=6.hada=1.black=1.hada=5.3.red=5.2.hada=2
*t047 water=3.red=1.black=1.blue=10.2.black=6.hada=1.black=2.hada=4.red=8.water=4.red=2.hada=2
*t048 water=3.red=1.black=1.blue=10.2.black=6.hada=3.red=1.hada=3.3.red=5.water=4.red=1
*t049 water=5.blue=11.1.black=5.hada=6.3.water=3.4.red=1
*t050 water=3.blue=11.1.black=5.hada=4.3.water=3.4.red=2
*t051 water=2.blue=5.red=2.blue=4.1.black=1.red=2.black=2.hada=3.cha=2.hada=3.water=3.4.red=2
*t052 water=2.blue=4.black=1.hada=1.red=2.blue=3.1.black=3.hada=3.cha=3.hada=4.water=8
*t053 water=1.blue=4.black=1.hada=1.red=2.blue=5.black=2.cha=4.hada=5.water=1.hada=1.water=5
*t054 blue=5.hada=3.blue=5.cha=3.6.hada=6.water=4
*t055 blue=5.red=2.blue=3.black=4.cha=3.4.3.hada=6.water=1
*t056 blue=5.red=2.blue=2.black=6.cha=4.4.4.hada=4
*t057 water=1.blue=3.hada=3.red=2.blue=1.black=5.cha=3.red=1.cha=3.3.3
*t058 water=1.blue=3.hada=1.blue=1.red=2.blue=1.black=4.cha=1.black=1.cha=1.black=2.cha=5.13.blue=5.cha=4
*t059 water=4.blue=8.black=4.cha=1.black=1.cha=1.black=1.cha=6.13.blue=5.cha=4
*t060 water=3.blue=8.black=4.cha=6.2.3.water=1.cha=5.blue=5.cha=4
*t061 water=2.blue=8.black=4.cha=6.5.water=2.cha=3.4.blue=5.cha=4
*t062 blue=8.black=4.cha=6.4.water=3.cha=3.3.blue=5
*t063 water=1.blue=8.black=4.cha=6.4.red=1.cha=3.3.blue=4
*t064 water=5.blue=8.black=4.cha=1.black=1.cha=4.4.red=1.cha=3.red=2.cha=3.blue=5
*t065 water=5.blue=8.black=4.cha=1.black=1.cha=1.black=1.cha=6.1.5.red=1.cha=3.blue=5.cha=1
*t066 water=5.blue=8.black=6.cha=1.black=2.cha=5.1.red=2.cha=3.red=1.cha=3.blue=5.cha=2
*t067 water=5.blue=9.black=5.cha=3.red=1.cha=3.2.red=2.cha=3.red=1.cha=3.blue=5.cha=4
*t068 water=5.blue=10.black=6.cha=4.3.red=1.cha=3.blue=3.cha=4
*t069 blue=11.black=4.cha=3.8.3
*t070 blue=13.cha=3.7
;
